%define name	httptunnel
%define ver     3.0.5
%define rel     2
%define prefix  /usr

Summary:	Tunnels tcp/ip connections over http
Name:		%{name}
Version:	%{ver}
Release:	%{rel}
Copyright:	GPL
Group:		Productivity/Networking/Web/Utilities
Source:		ftp://ftp.nocrew.org/pub/nocrew/unix/%{name}-%{ver}.tar.gz
URL:		http://www.nocrew.org/software/httptunnel.html
Vendor:         Lars Brinkhoff <http://lars.nocrew.org/>
Packager:       Volker Kuhlmann <VolkerKuhlmann@gmx.de>
Distribution:	SuSE Linux 8.0 contrib
BuildRoot:	/tmp/%{name}-%{version}-%{release}-%(id -u -n)
Prefix:		%{prefix}

BuildRequires:	autoconf automake
#Requires:	


%changelog

* Thu Jun 27 2002 Volker Kuhlmann <VolkerKuhlmann@gmx.de>
- For SuSE Linux 8.0
- Note: error with automake, but compiles with just running configure

* Thu May 09 2002 Volker Kuhlmann <VolkerKuhlmann@gmx.de>
- Created first version of rpm from something PLD

%description
httptunnel creates a bidirectional virtual data path tunnelled in HTTP
requests. The HTTP requests can be sent via an HTTP proxy if so desired. This
can be useful for users behind restrictive firewalls. If WWW access is allowed
through a HTTP proxy, it's possible to use httptunnel and, say, telnet or PPP
to connect to a computer outside the firewall.

%prep
%setup

%build
#aclocal
#autoconf
#automake -a -c
%configure --prefix %{prefix}
make

%install
rm -rf ${RPM_BUILD_ROOT}
make install DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf ${RPM_BUILD_ROOT}

%files
%defattr(-,root,root)
%doc AUTHORS ChangeLog DISCLAIMER FAQ HACKING NEWS README TODO
%{prefix}/bin/*
%{prefix}/share/man/*/*
